FIX:使用 VSS 5.0 创建的 OLE 自动化不能在 VSS 6.0 计算机上工作

本文已归档。它按“原样”提供,并且不再更新。
症状
如果 Visual SourceSafe (VSS) OLE 自动化代码是在安装有 VSS 5.0 的计算机上创建的,并且随后在安装有 VSS 6.0 的计算机上运行,这些代码将不能工作。
状态
Microsoft 已经确认这是本文开头列出的 Microsoft 产品中的错误。此错误已在 Visual Studio 6.0 的最新 Service Pack 中纠正。

有关 Visual Studio Service Pack 的其他信息,请单击下面的文章编号,以查看 Microsoft 知识库中相应的文章:
194022 INFO:Visual Studio 6.0 Service Pack 的简介、获取地点和安装原因

194295 HOWTO:了解是否安装了 Visual Studio Service Pack
要下载最新的 Visual Studio Service Pack,请访问以下 Microsoft Web 站点:
更多信息

重现问题的步骤

  1. 创建一个 Microsoft Visual C++ OLE 自动化程序,例如位于以下 Microsoft Web 站点上的自动化程序:
  2. 在安装有 SourceSafe (ssapi.dll) 5.0 版的计算机上编译此程序。
  3. 在安装有 VSS 6.0 的另一台计算机上运行可执行文件。
属性

文章 ID:279228 - 上次审阅时间:10/21/2013 03:41:40 - 修订版本: 1.2

Microsoft Visual SourceSafe 6.0 标准版

  • kbnosurvey kbarchive kbbug kbfix kbvs600sp5fix kbssafe600fix kbautomation KB279228
反馈